> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Profiles

> List all LLM profiles for this organization.



## OpenAPI

````yaml /openapi/openhands-cloud.json get /api/organizations/{org_id}/profiles
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /api/organizations/{org_id}/profiles:
    get:
      tags:
        - Organization Profiles
      summary: List Profiles
      description: List all LLM profiles for this organization.
      operationId: list_profiles_api_organizations__org_id__profiles_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Org Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/server__routes__org_profiles__ProfileListResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    server__routes__org_profiles__ProfileListResponse:
      properties:
        profiles:
          items:
            $ref: '#/components/schemas/server__routes__org_profiles__ProfileInfo'
          type: array
          title: Profiles
        active_profile:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Profile
      type: object
      required:
        - profiles
        - active_profile
      title: ProfileListResponse
      description: Response for listing profiles.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    server__routes__org_profiles__ProfileInfo:
      properties:
        name:
          type: string
          title: Name
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        base_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Url
        api_key_set:
          type: boolean
          title: Api Key Set
      type: object
      required:
        - name
        - model
        - base_url
        - api_key_set
      title: ProfileInfo
      description: Summary info for a profile (no secrets).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-Access-Token

````